### Constructor

# Gtk ScaleButton new

#### Declaration [src]

    GtkWidget*
    gtk_scale_button_new (
      double min,
      double max,
      double step,
      const char** icons
    )

#### Description [src]

Creates a `GtkScaleButton`.

The new scale button has a range between `min` and `max`, with a stepping of `step`.

#### Parameters

`min` | `double`
| The minimum value of the scale (usually 0).
`max` | `double`
| The maximum value of the scale (usually 100).
`step` | `double`
| The stepping of value when a scroll-wheel event, or up/down arrow event occurs (usually 2).
`icons` | An array of `char*`
| A `NULL`-terminated array of icon names, or `NULL` if you want to set the list later with gtk_scale_button_set_icons().
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkScaleButton`.
| The data is owned by the called function.